import request from '@/utils/request'

// 查询饲喂量统计列表
export function listFeedStatistic(query) {
  return request({
    url: '/feed/FeedStatistic/list',
    method: 'get',
    params: query
  })
}

// 查询饲喂量统计详细
export function getFeedStatistic(id) {
  return request({
    url: '/feed/FeedStatistic/' + id,
    method: 'get'
  })
}

// 新增饲喂量统计
export function addFeedStatistic(data) {
  return request({
    url: '/feed/FeedStatistic',
    method: 'post',
    data: data
  })
}

// 修改饲喂量统计
export function updateFeedStatistic(data) {
  return request({
    url: '/feed/FeedStatistic',
    method: 'put',
    data: data
  })
}

// 删除饲喂量统计
export function delFeedStatistic(id) {
  return request({
    url: '/feed/FeedStatistic/' + id,
    method: 'delete'
  })
}

// 查询饲喂量统计列表
export function initFeedStatistic(query) {
  return request({
    url: '/feed/FeedStatistic/init',
    method: 'get',
    params: query
  })
}
